////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Xilinxcorelib_fifo_generator_v4_2_behavioral_H
#define H_Xilinxcorelib_fifo_generator_v4_2_behavioral_H
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


class Xilinxcorelib_fifo_generator_v4_2_behavioral: public HSim__s6 {
public:

  char *t978;
  char *t979;
  char *t980;
  char *t981;
  char *t982;
  char *t983;
    HSim__s4 PE[58];
    HSim__s1 SE[35];

    HSim__s1 SA[23];
  char t984;
  char t985;
    Xilinxcorelib_fifo_generator_v4_2_behavioral(const char * name);
    ~Xilinxcorelib_fifo_generator_v4_2_behavioral();
    void constructObject();
    void constructPorts();
    void reset();
    void architectureInstantiate(HSimConfigDecl* cfg);
    virtual void vhdlArchImplement();
};



HSim__s6 *createXilinxcorelib_fifo_generator_v4_2_behavioral(const char *name);

#endif
